import { StyleSheet, Text, TouchableOpacity, View } from 'react-native'
import React from 'react'
import fonts from '../../theme/fonts'

const Button = ({ style, onPress, children }) => {
    return (
        <TouchableOpacity style={[styles.button,style]}onPress={onPress}>
            <View>
                {children}
            </View>
        </TouchableOpacity>

    )
}

export default Button

const styles = StyleSheet.create({
    button:{
        paddingVertical: fonts.getSize(12),
        paddingHorizontal: fonts.getSize(12),
        backgroundColor: 'grey',
        borderRadius: fonts.getSize(4)
    }
})